{
  "layer": "top",
  "position": "top",
  "height": 30,
  "spacing": 0,
  "modules-left": ["custom/logo", "cpu", "memory", "bluetooth"],
  "modules-center": ["niri/workspaces"],
  "modules-right": [
    "tray",
    "power-profiles-daemon",
    // "niri/language",
    "pulseaudio",
    "network",
    "battery",
    "clock",
    "custom/power",
  ],
  "niri/workspaces": {
    "format": "{icon}",
    "format-icons": {
      // Named workspaces
      // (you need to configure them in niri)
      // "1",
      // "2": "2",
      // "3": "3",
      // "4": "4",
      // "5": "5",
      // "6": "6",
      // Icons by state
      "active": "",
      "default": "",
    },
  },
  // "mpris": {
  //   "format": "DEFAULT: {player_icon} {dynamic}",
  //   "format-paused": "DEFAULT: {status_icon} <i>{dynamic}</i>",
  //   "player-icons": {
  //     "default": "▶",
  //     "mpv": "🎵",
  //   },
  //   "status-icons": {
  //     "paused": "⏸",
  //   },
  // },
  "tray": {
    "icon-size": 14,
    "spacing": 10,
  },
  "clock": {
    "format": "{:%H:%M:%S}",
    "tooltip-format": "<big>{:%Y %B}</big>\n<tt><small>{calendar}</small></tt>",
    "format-alt": "{:%Y-%m-%d}",
    "interval": 1,
  },
  "cpu": {
    "format": "<span font='14' > </span>{usage}%",
    "tooltip": false,
    "interval": 1,
    "on-click": "kitty --class floating_btop -e btop",
  },
  "memory": {
    "format": "<span font='14'>  </span>{}%",
    // "format": "<span font='14' class='red'>  </span> {}%",
    "interval": 1,
    "on-click": "kitty --class floating_btop -e htop",
  },
  "battery": {
    "interval": 1,
    "states": {
      "warning": 30,
      "critical": 15,
    },
    "format": "<span font='14' >{icon}</span> {capacity}%",
    "format-full": "<span font='14' >{icon}</span> {capacity}%",
    "format-charging": "<span font='14' >󰂄</span> {capacity}%",
    "format-plugged": "<span font='14' >󰂄</span> {capacity}%",
    "format-icons": ["󰁺", "󰁼", "󰁾", "󰂀", "󰂂", "󰁹"],
  },
  "power-profiles-daemon": {
    "format": "<span >{icon}</span>",
    "tooltip-format": "Power profile: {profile}\nDriver: {driver}",
    "tooltip": true,
    "format-icons": {
      "default": " ",
      "performance": " ",
      "balanced": " ",
      "power-saver": "󰌪 ",
    },
  },
  "network": {
    "format-wifi": "<span font='14' >󰖩</span> ",
    "format-ethernet": "<span font='14' >󰈀</span>",
    "format-disconnected": "<span font='14' >󱚵</span>",
    "format-alt": "{bandwidthDownBytes}",
    "interval": 1,
    // "on-click": "kitty --class floating_wavemon -e sudo wavemon",
  },
  "pulseaudio": {
    "format": "<span font='14' >{icon}</span> {volume}%",
    "format-muted": "<span font='14'>󰝟</span>",
    "format-source": "{volume}% ",
    "format-source-muted": "",
    "format-icons": {
      "headphone": "",
      // "hands-free": "",
      // "headset": "",
      // "phone": "",
      // "portable": "",
      // "car": "",
      "default": ["󰕿", "󰖀", "󰕾"],
    },
    "on-click": "kitty --class floating_pulsemixer -e pulsemixer",
  },
  "custom/power": {
    "format": "⏻",
    "tooltip": false,
    "on-click": "wlogout -l ~/.config/niri/wlogout/layout",
  },
  "custom/logo": {
    "format": "<span font='14'>󰣇</span>",
    "on-click": "wofi --show drun",
  },
  "bluetooth": {
    "format": "<span font='14'> </span>",
    "format-disabled": "<span font='14'> </span>",
    "format-connected": "<span font='14'> </span>",
    "tooltip-format": "{controller_alias}\t{controller_address}\n\n{num_connections} connected",
    "tooltip-format-connected": "{controller_alias}\t{controller_address}\n\n{num_connections} connected\n\n{device_enumerate}",
    "tooltip-format-enumerate-connected": "{device_alias}\t{device_address}",
    "tooltip-format-enumerate-connected-battery": "{device_alias}\t{device_address}\t{device_battery_percentage}%",
    "on-click": "kitty --class floating_bluetui -e bluetui",
  },
  // "bluetooth": {
  //   "format": "<span font='14'>󰂯</span>",
  //   "format-disabled": "<span font='14'>󰂲</span>",
  //   "format-connected": "<span font='14'>󰂱</span>",
  //   "on-click": "kitty --class floating_bluetui -e bluetui",
  // },
}
